Subject: bug#74409: closed (Re: bug#74409: 30.0.92; customize buffer for bibtex-biblatex-entry-alist also shows unformatted variable value)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 12 Jan 2025 20:02:02 +0000

Your bug report

#74409: 30.0.92; customize buffer for bibtex-biblatex-entry-alist also shows unformatted variable value

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74409: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74409
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74409: 30.0.92; customize buffer for bibtex-biblatex-entry-alist also shows unformatted variable value
From: Roland Winkler <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Mauro Aranda <[email-masked]>
Date: Sun, 12 Jan 2025 14:01:04 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Jan 12 2025, Eli Zaretskii wrote:
>> Date: Sun, 12 Jan 2025 15:27:00 -0300
>> Cc: [email-masked], Eli Zaretskii <[email-masked]>
>> From: Mauro Aranda <[email-masked]>
>> 
>> Roland Winkler <[email-masked]> writes:
>> 
>>  > On Sun, Jan 12 2025, Mauro Aranda wrote:
>>  >> Thanks Eli, here's the updated patch.
>>  >
>>  > Thanks.  Can you install this?  Otherwise, I can do it.
>> 
>> Done.  Although I pushed it to master, and I realized right after that I
>> should've pushed it to emacs-30.  Feeling rusty.
>
> Thanks, I cherry-picked that to the release branch.
>
> Should this bug be closed now?

Thanks, closing.

Subject: 30.0.92; customize buffer for bibtex-biblatex-entry-alist also shows unformatted variable value
From: Roland Winkler <[email-masked]>
To: [email-masked]
Date: Sun, 17 Nov 2024 16:42:10 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

In emacs -Q load BibTeX mode and run

M-x customize-variable RET
bibtex-biblatex-entry-alist RET

The top of the customize buffer is clogged with the unformatted
variable value that hides the actual customization buffer.

I do not know whether this is related to bug #53606.  Like bug #53606,
the problem did not exist in earlier version of emacs (say, emacs 26.3).
But it started some time ago (confirmed with emacs 28.2).
Nothing changed on the side of BibTeX mode back then.

In GNU Emacs 30.0.92 (build 2, x86_64-pc-linux-gnu, GTK+ Version
 3.24.38, cairo version 1.16.0) of 2024-11-01 built on regnitz
Windowing system distributor 'The X.Org Foundation', version 11.0.12101007
System Description: Debian GNU/Linux 12 (bookworm)